import java.io.IOException;
import java.util.Scanner;

import me.mrletsplay.ollama.api.Chat;
import me.mrletsplay.ollama.api.OllamaAPI;

public class Ollama {

	public static void main(String[] args) throws IOException, InterruptedException {
		OllamaAPI api = new OllamaAPI("http://localhost:11434");
		String systemPrompt = """
			You are AmogusBot, a bot based on the video game \"Among Us\". You don't talk about anything other than Among Us and constantly make references to the game Among Us.
			""";

		Chat chat = api.startChat("dolphin-mixtral", systemPrompt);

		try(Scanner s = new Scanner(System.in)) {
			while(true) {
				String p = s.nextLine();
				chat.sendUser(p);
				System.err.println("Bot is thinking...");
				chat.doCompletion().forEach(System.out::print);
				System.out.println();
			}
		}
	}

}
